import 'package:cramr_ui_lib/model/study_mode.dart';
import 'package:flutter/material.dart';

/// Model class that represents the state of the selected StudyMode. This class
/// is tightly coupled to the Provider library.
class StudyModeState with ChangeNotifier {
  StudyMode? _currentState;

  StudyModeState(this._currentState);

  StudyMode? get currentStudyMode => _currentState;

  void updateState(StudyMode updatedState) {
    _currentState = updatedState;
    notifyListeners();
  }
}
